%global major 1
%global gmajor 1.0
%define libname %mklibname jcat %{major}
%define girname %mklibname jcat-gir %{gmajor}
%define devname %mklibname -d jcat

Summary:   Library for reading Jcat files
Group:     System/Libraries
Name:      libjcat
Version:   0.1.13
Release:   %mkrel 2
License:   LGPL-2.1-or-later
URL:       https://github.com/hughsie/libjcat
Source0:   https://github.com/hughsie/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: gtk-doc
BuildRequires: meson
BuildRequires: gobject-introspection-devel
BuildRequires: glib2-devel
BuildRequires: json-glib-devel
BuildRequires: gnutls-devel
BuildRequires: gnutls
BuildRequires: gpgme-devel
BuildRequires: vala

%description
This library allows reading and writing gzip-compressed JSON catalog files,
which can be used to store GPG, PKCS-7 and SHA-256 checksums for each file.

This provides equivalent functionality to the catalog files supported in
Microsoft Windows.

%package -n jcat-tool
Summary: Standalone detached signature utility
Group: Development/Other
Conflicts: %{_lib}jcat1 < 0.1.6

%description -n jcat-tool
Standalone detached signature utility.

%package -n %libname
Summary: Library for reading Jcat files
Group: System/Libraries

%description -n %libname
This library allows reading and writing gzip-compressed JSON catalog files,
which can be used to store GPG, PKCS-7 and SHA-256 checksums for each file.

This provides equivalent functionality to the catalog files supported in
Microsoft Windows.

%package -n %girname
Summary: GObject Introspection interface description for Jcat
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Conflicts: %{_lib}jcat1 < 0.1.6

%description -n %girname
GObject Introspection interface description for Jcat.

%package -n %devname
Group: Development/C
Summary: Development package for %{name}
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}

%description -n %devname
Files for development with %{name}.

%package tests
Summary: Files for installed tests

%description tests
Executable and data files for installed tests.

%prep
%setup -q

%build
%meson \
    -Dgtkdoc=true \
    -Dtests=true

%meson_build

%install
%meson_install

%check
%meson_test

%files -n jcat-tool
%doc README.md
%license LICENSE
%{_bindir}/jcat-tool
%{_datadir}/man/man1/jcat-tool.1*

%files -n %libname
%doc README.md
%license LICENSE
%{_libdir}/libjcat.so.%{major}{,.*}

%files -n %girname
%{_libdir}/girepository-1.0/Jcat-%{gmajor}.typelib

%files -n %devname
%doc %{_datadir}/gtk-doc/html/libjcat
%{_datadir}/gir-1.0/Jcat-%{gmajor}.gir
%{_includedir}/libjcat-1/
%{_libdir}/libjcat.so
%{_libdir}/pkgconfig/jcat.pc
%{_datadir}/vala/vapi/jcat.{deps,vapi}

%files tests
%doc README.md
%dir %{_libexecdir}/installed-tests/libjcat
%{_libexecdir}/installed-tests/libjcat/jcat-self-test
%{_libexecdir}/installed-tests/libjcat/colorhug/
%{_libexecdir}/installed-tests/libjcat/pki/
%dir %{_datadir}/installed-tests/libjcat
%{_datadir}/installed-tests/libjcat/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.1.13-2.mga10
+ Revision: 2215227
- Mageia 10 Mass Rebuild
+ luigiwalser <luigiwalser>
- 0.1.13
- update source URL

* Tue Sep 27 2022 luigiwalser <luigiwalser> 0.1.12-1.mga9
+ Revision: 1892596
- 0.1.12

* Mon Apr 04 2022 umeabot <umeabot> 0.1.6-2.mga9
+ Revision: 1843590
- Mageia 9 Mass Rebuild

* Sun May 02 2021 wally <wally> 0.1.6-1.mga9
+ Revision: 1720905
- new version 0.1.6
- split out jcat-tool and gir typelibs

* Sun Jun 21 2020 neoclust <neoclust> 0.1.3-1.mga8
+ Revision: 1598169
- New version 0.1.3 (mga#26817)

* Tue Mar 31 2020 tv <tv> 0.1.0-1.mga8
+ Revision: 1562663
- imported package libjcat


* Tue Mar 31 2020 Thierry Vignaud <tv@mageia.org> 0.1.0-1.mga8
- import from FC

* Mon Mar 23 2020 Richard Hughes <richard@hughsie.com> 0.1.0-1
- Initial release for Fedora package review
